function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useEffect, useRef, useState } from 'react';
const InfoBulle = ({
  info,
  ...props
}) => {
  const [display, setDisplay] = useState(false);
  const ref = useRef();
  useEffect(() => {
    const handleClickOutside = event => {
      if (ref.current && !ref.current.contains(event.target) && !ref.current.className.includes('hidden')) {
        setDisplay(false);
      }
    };
    document.addEventListener('click', handleClickOutside, true);
    return () => {
      document.removeEventListener('click', handleClickOutside, true);
    };
  }, []);
  return /*#__PURE__*/React.createElement("div", {
    className: "info-bulle-container"
  }, /*#__PURE__*/React.createElement("span", {
    className: "info-bulle clickable",
    onClick: e => (e.preventDefault(), e.stopPropagation(), setDisplay(!display))
  }, /*#__PURE__*/React.createElement("i", _extends({
    className: "material-icons"
  }, props), "info")), /*#__PURE__*/React.createElement("div", {
    ref: ref,
    className: `info ${display ? '' : 'hidden'}`
  }, info));
};
export default InfoBulle;