import React from 'react';
import '../styles/dist/styles.css';
const SubTitle = ({
  children,
  actions = [],
  className = ''
}) => {
  return /*#__PURE__*/React.createElement("div", {
    className: `sub-title ${className}`
  }, children, /*#__PURE__*/React.createElement("div", {
    className: "subtitle-actions"
  }, actions.map((a, k) => /*#__PURE__*/React.createElement("button", {
    type: "button",
    key: k,
    className: "btn btn-primary",
    onClick: a.onClick
  }, a.label))));
};
export default SubTitle;