import React from 'react';
const Step = ({
  step,
  index,
  currentStep,
  isLastStep,
  pendingIcon = 'warning'
}) => {
  const isActif = currentStep === index;
  const icon = isActif ? 'mode_edit' : currentStep > index ? 'check' : pendingIcon;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("span", {
    className: `step ${isActif ? 'actif' : ''} ${currentStep > index ? 'passed' : ''}`
  }, /*#__PURE__*/React.createElement("span", {
    className: "step-label"
  }, step), /*#__PURE__*/React.createElement("div", {
    className: "circle-container"
  }, /*#__PURE__*/React.createElement("span", {
    className: "circle"
  }, /*#__PURE__*/React.createElement("i", {
    className: "material-icons"
  }, icon)))), !isLastStep && /*#__PURE__*/React.createElement("span", {
    key: `line-${index}`,
    className: `line ${currentStep > index ? 'passed' : ''}`
  }));
};
export default Step;