import React from 'react';
import Step from './Step';
const Steps = ({
  steps = [],
  currentStep = 0,
  pendingIcon = 'warning'
}) => {
  return /*#__PURE__*/React.createElement("div", {
    className: "steps"
  }, steps.map((step, index) => /*#__PURE__*/React.createElement(Step, {
    key: index,
    step: step,
    index: index,
    currentStep: currentStep,
    isLastStep: index === steps.length - 1,
    pendingIcon: pendingIcon
  })));
};
export default Steps;